- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Value Struct Template Reference

Value is a generic class which symbolised leaf of AST. More...

List of all members.

## Detailed Description

### template<class T>
struct vcsn::algebra::Value< T >

Value is a generic class which symbolised leaf of AST.

Value is integrated into the pattern matching system to permit a factorization of the accessors.

Definition at line 84 of file krat_exp_pattern.hh.